TRUNCATE_PAGECACHE_R(9)

NAME
truncate_pagecache_range - unmap and remove pagecache that is hole-punched

SYNOPSIS

void truncate_pagecache_range(struct inode * inode, loff_t lstart, loff_t lend);

ARGUMENTS

inode
    inode

lstart
    offset of beginning of hole

lend
    offset of last byte of hole

DESCRIPTION

This function should typically be called before the filesystem releases resources associated with the freed range (eg. deallocates blocks). This way, pagecache will always stay logically coherent with on-disk format, and the filesystem would not have to deal with situations such as writepage being called for a page that has already had its underlying blocks deallocated.

COPYRIGHT